Bug 1001475 - blockcommit with --delete option is not functional
blockcommit with --delete option is not functional
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.5
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Eric Blake
Virtualization Bugs
:
Depends On:
Blocks: 1008350
  Show dependency treegraph
 
Reported: 2013-08-27 02:48 EDT by Hao Liu
Modified: 2017-11-01 13:43 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1008350 (view as bug list)
Environment:
Last Closed: 2014-04-04 16:57:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hao Liu 2013-08-27 02:48:37 EDT
Description of problem:
blockcommit with --delete option is not functional

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 6.5 Beta
libvirt-0.10.2-23.el6.x86_64
kernel-2.6.32-414.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.398.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. prepare a guest foo.

2. blockcommit with --delete option.

# virsh blockcommit foo hda --delete
error: unsupported flags (0x2) in function qemuDomainBlockCommit

Expected result:
Successfully remove files in the backing chain or report an explicit error when not success.
Comment 2 Alex Jia 2013-08-27 03:05:43 EDT
(In reply to Hao Liu from comment #0)
> # virsh blockcommit foo hda --delete
> error: unsupported flags (0x2) in function qemuDomainBlockCommit

Need to check VIR_DOMAIN_BLOCK_COMMIT_DELETE flags, I will commit a patch to fix this.
Comment 3 Alex Jia 2013-08-27 04:05:27 EDT
Patch on upstream:
https://www.redhat.com/archives/libvir-list/2013-August/msg01333.html
Comment 4 Eric Blake 2013-08-27 08:04:56 EDT
Moving to 6.6.  The flag is a case of known future expansion, and as we're already past the feature freeze for 6.5, it isn't going to change in 6.5.
Comment 7 RHEL Product and Program Management 2014-04-04 16:57:06 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.